textures/ut43_pluto/pluto_sky
{
	qer_editorimage env/ut43_pluto/pluto.jpg
	skyparms env/ut43_pluto/pluto - -
	q3map_lightimage env/ut43_pluto/pluto_up.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	
	q3map_sunExt 0.9 0.3 0.3 30 45 -75 0 8
	q3map_sunExt 0.5 0.45 0.8 30 -80 -75 0 8
	q3map_sunExt 0.8 0.8 0.8 30 180 -75 0 8
	q3map_sunExt 0.2 0.4 0.7 40 90 75 0 8
}

textures/ut43_pluto/glassopaque
{
        qer_editorimage textures/ut43_pluto/tinfxlightcloud.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }
	q3map_styleMarker
        {
                map textures/ut43_pluto/tinfxlightcloud.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }

}

//
//	Vessel
//

textures/ut43_pluto/vessel_red
{
	qer_editorimage textures/ut43_pluto/vessel_red
	q3map_lightimage textures/ut43_pluto/vessel_red.jpg
	q3map_surfacelight 1500
	q3map_lightStyle 1
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_red.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.6 0 0.5
	}	
}

textures/ut43_pluto/vessel_red_no
{
	qer_editorimage textures/ut43_pluto/vessel_red
	//q3map_lightimage textures/ut43_pluto/vessel_red.jpg
	//q3map_surfacelight 1500
	//q3map_lightStyle 1
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_red.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.6 0 0.5
	}	
}

textures/ut43_pluto/vessel_black
{
	qer_editorimage textures/ut43_pluto/vessel_black.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_black.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/vessel_white
{
	qer_editorimage textures/ut43_pluto/vessel_white.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_white.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/vessel_gray
{
	qer_editorimage textures/ut43_pluto/vessel_gray.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_gray.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/vessel_gray_dark
{
	qer_editorimage textures/ut43_pluto/vessel_gray_dark.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_gray_dark.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/vessel_chrome
{
	qer_editorimage textures/ut43_pluto/vessel_chrome.tga
	qer_trans .85
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/vessel_chrome.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map textures/ut43_pluto/vessel_tint.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map textures/ut43_pluto/vessel_tint.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
}


//
//	Floor wall ceiling
//
textures/ut43_pluto/floor
{
	qer_editorimage textures/ut43_pluto/ground2_half.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/ground2.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/icy1
{
	qer_editorimage textures/ut43_pluto/icy_plat1_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/icy_plat1.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/icy2
{
	qer_editorimage textures/ut43_pluto/icy_plat2_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/icy_plat2.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/icy3
{
	qer_editorimage textures/ut43_pluto/icy_plat3_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/icy_plat3.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/icy4
{
	qer_editorimage textures/ut43_pluto/icy_plat4_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/icy_plat4.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/wall_slick
{
	qer_editorimage textures/ut43_pluto/wall5_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/wall5.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/wall
{
	qer_editorimage textures/ut43_pluto/wall2_half
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/wall2.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/ledge_slick
{
	qer_editorimage textures/ut43_pluto/wall7_half
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/wall7.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/metal
{
	qer_editorimage textures/ut43_pluto/metal_half
	surfaceparm nodamage
	surfaceparm hardwood
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/metal.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/metal_dark
{
	qer_editorimage textures/ut43_pluto/metal_dark_half
	surfaceparm nodamage
	surfaceparm hardwood
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/ut43_pluto/metal_dark.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/ut43_pluto/grid_ns
{
	qer_editorimage textures/ut43_pluto/grid_quarter.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable

	{
		map textures/ut43_pluto/grid.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

//
// Lights
//

textures/ut43_pluto/yelec2
{
	qer_editorimage textures/ut43_pluto/6000.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 600
	q3map_lightsubdivide 128
	q3map_lightRGB 0.6 0.6 1
	q3map_lightStyle 2
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/yelec3
{
	qer_editorimage textures/ut43_pluto/12500.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 600
	q3map_lightsubdivide 128
	q3map_lightRGB 0.6 0.6 1
	q3map_lightStyle 3
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/yelec4
{
	qer_editorimage textures/ut43_pluto/25000.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 600
	q3map_lightsubdivide 128
	q3map_lightRGB 0.6 0.6 1
	q3map_lightStyle 4
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/yelec5
{
	qer_editorimage textures/ut43_pluto/37500.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 600
	q3map_lightsubdivide 128
	q3map_lightRGB 0.6 0.6 1
	q3map_lightStyle 5
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/ylight60
{
	qer_editorimage textures/ut43_pluto/6000.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	q3map_lightRGB 0.8 0.8 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 600
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/ylight125
{
	qer_editorimage textures/ut43_pluto/12500.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	q3map_lightRGB 0.8 0.8 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 1250
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/ylight250
{
	qer_editorimage textures/ut43_pluto/25000.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	q3map_lightRGB 0.8 0.8 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 2500
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut43_pluto/ylight375
{
	qer_editorimage textures/ut43_pluto/37500.jpg
	//q3map_lightimage textures/ut43_pluto/white.jpg
	q3map_lightRGB 0.8 0.8 1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm nodamage
	q3map_surfacelight 3750
	{
		blendFunc GL_DST_COLOR GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}


//
// Electricity
//

textures/ut43_pluto/z_elect01
{
	qer_editorimage textures/ut43_pluto/01
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 2
	{
		animMap 8 textures/ut43_pluto/elec01 textures/ut43_pluto/elec03 textures/ut43_pluto/elec05 textures/ut43_pluto/elec07 textures/ut43_pluto/elec09 textures/ut43_pluto/elec11 textures/ut43_pluto/elec13 textures/ut43_pluto/elec15
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect04
{
	qer_editorimage textures/ut43_pluto/04
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 3

	{
		animMap 11 textures/ut43_pluto/elec04 textures/ut43_pluto/elec06 textures/ut43_pluto/elec08 textures/ut43_pluto/elec10 textures/ut43_pluto/elec12 textures/ut43_pluto/elec14 textures/ut43_pluto/elec16 textures/ut43_pluto/elec18
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect07
{
	qer_editorimage textures/ut43_pluto/07
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 4
	{
		animMap 10 textures/ut43_pluto/elec07 textures/ut43_pluto/elec05 textures/ut43_pluto/elec03 textures/ut43_pluto/elec01 textures/ut43_pluto/elec36 textures/ut43_pluto/elec34 textures/ut43_pluto/elec32 textures/ut43_pluto/elec30
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect10
{
	qer_editorimage textures/ut43_pluto/10
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 5

	{
		animMap 13 textures/ut43_pluto/elec10 textures/ut43_pluto/elec08 textures/ut43_pluto/elec06 textures/ut43_pluto/elec04 textures/ut43_pluto/elec02 textures/ut43_pluto/elec37 textures/ut43_pluto/elec35 textures/ut43_pluto/elec33
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect13
{
	qer_editorimage textures/ut43_pluto/13
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 2

	{
		animMap 12 textures/ut43_pluto/elec13 textures/ut43_pluto/elec15 textures/ut43_pluto/elec17 textures/ut43_pluto/elec19 textures/ut43_pluto/elec21 textures/ut43_pluto/elec23 textures/ut43_pluto/elec25 textures/ut43_pluto/elec27
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect16
{
	qer_editorimage textures/ut43_pluto/16
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 3

	{
		animMap 10 textures/ut43_pluto/elec16 textures/ut43_pluto/elec18 textures/ut43_pluto/elec20 textures/ut43_pluto/elec22 textures/ut43_pluto/elec24 textures/ut43_pluto/elec26 textures/ut43_pluto/elec28 textures/ut43_pluto/elec30
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect19
{
	qer_editorimage textures/ut43_pluto/19
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 4

	{
		animMap 12 textures/ut43_pluto/elec19 textures/ut43_pluto/elec17 textures/ut43_pluto/elec15 textures/ut43_pluto/elec13 textures/ut43_pluto/elec11 textures/ut43_pluto/elec09 textures/ut43_pluto/elec07 textures/ut43_pluto/elec05
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect22
{
	qer_editorimage textures/ut43_pluto/22
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 5

	{
		animMap 12 textures/ut43_pluto/elec22 textures/ut43_pluto/elec20 textures/ut43_pluto/elec18 textures/ut43_pluto/elec16 textures/ut43_pluto/elec14 textures/ut43_pluto/elec12 textures/ut43_pluto/elec10 textures/ut43_pluto/elec08
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect25
{
	qer_editorimage textures/ut43_pluto/25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 2

	{
		animMap 10 textures/ut43_pluto/elec25 textures/ut43_pluto/elec27 textures/ut43_pluto/elec29 textures/ut43_pluto/elec31 textures/ut43_pluto/elec33 textures/ut43_pluto/elec35 textures/ut43_pluto/elec37 textures/ut43_pluto/elec02
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect28
{
	qer_editorimage textures/ut43_pluto/28
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 3

	{
		animMap 11 textures/ut43_pluto/elec28 textures/ut43_pluto/elec30 textures/ut43_pluto/elec32 textures/ut43_pluto/elec34 textures/ut43_pluto/elec36 textures/ut43_pluto/elec01 textures/ut43_pluto/elec01 textures/ut43_pluto/elec05
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect31
{
	qer_editorimage textures/ut43_pluto/31
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 4

	{
		animMap 13 textures/ut43_pluto/elec25 textures/ut43_pluto/elec23 textures/ut43_pluto/elec21 textures/ut43_pluto/elec19 textures/ut43_pluto/elec17 textures/ut43_pluto/elec15 textures/ut43_pluto/elec13 textures/ut43_pluto/elec11
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut43_pluto/z_elect34
{
	qer_editorimage textures/ut43_pluto/34
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	//q3map_surfacelight 450
	//q3map_lightsubdivide 128
	//q3map_lightRGB 0.6 0.6 1
	//q3map_lightStyle 5

	{
		animMap 11 textures/ut43_pluto/elec34 textures/ut43_pluto/elec32 textures/ut43_pluto/elec30 textures/ut43_pluto/elec28 textures/ut43_pluto/elec26 textures/ut43_pluto/elec24 textures/ut43_pluto/elec22 textures/ut43_pluto/elec20
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}